<?php

namespace App\ViewModels\UnidadeUF\UnidadeUFUpdateViewModel;

use App\Utils\Builder;

class UnidadeUFUpdateViewModelBuilder implements Builder {
	protected $id;
	protected $idUnidade;
	protected $idUf;
	protected $crc;
	protected $nomeUnidade;

	public function build(): UnidadeUFUpdateViewModel {

		$obj = new UnidadeUFUpdateViewModel();

		$obj->setId( $this->id );
		$obj->setIdUnidade( $this->idUnidade );
		$obj->setIdUf( $this->idUf );
		$obj->setCrc( $this->crc );
		$obj->setNomeUnidade( $this->nomeUnidade );

		return $obj;

	}

	/**
	 *
	 * @param mixed $idUnidade
	 */
	public function setId($id): UnidadeUFUpdateViewModelBuilder {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade): UnidadeUFUpdateViewModelBuilder {

		$this->idUnidade = $idUnidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $idUf
	 */
	public function setIdUf($idUf): UnidadeUFUpdateViewModelBuilder {

		$this->idUf = $idUf;
		return $this;

	}

	/**
	 *
	 * @param mixed $crc
	 */
	public function setCrc($crc): UnidadeUFUpdateViewModelBuilder {

		$this->crc = $crc;
		return $this;

	}

	/**
	 *
	 * @param mixed $nomeUnidade
	 */
	public function setNomeUnidade($nomeUnidade): UnidadeUFUpdateViewModelBuilder {

		$this->nomeUnidade = $nomeUnidade;
		return $this;

	}

}

